Loading...
Searching...
No Matches
qsv_decode.c File Reference
`#include <stdio.h>`
`#include <libavformat/avformat.h>`
`#include <libavformat/avio.h>`
`#include <libavcodec/avcodec.h>`
`#include <libavutil/buffer.h>`
`#include <libavutil/error.h>`
`#include <libavutil/hwcontext.h>`
`#include <libavutil/hwcontext_qsv.h>`
`#include <libavutil/mem.h>`

Go to the source code of this file.

## Functions

static int | get_format (AVCodecContext *avctx, const enum AVPixelFormat *pix_fmts)
static int | decode_packet (AVCodecContext *decoder_ctx, AVFrame *frame, AVFrame *sw_frame, AVPacket *pkt, AVIOContext *output_ctx)
int | main (int argc, char **argv)

## Function Documentation

## get_format()

static int get_format | ( | AVCodecContext * | avctx,
|  | const enum AVPixelFormat * | pix_fmts
| ) |  |

static

Examples
  qsv_decode.c, and qsv_transcode.c.

Definition at line 44 of file qsv_decode.c.

Referenced by main(), and open_input_file().

## decode_packet()

static int decode_packet | ( | AVCodecContext * | decoder_ctx,
|  | AVFrame * | frame,
|  | AVFrame * | sw_frame,
|  | AVPacket * | pkt,
|  | AVIOContext * | output_ctx
| ) |  |

static

Definition at line 59 of file qsv_decode.c.

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 106 of file qsv_decode.c.